Package org.flowable.identitylink.api

# Interface IdentityLinkInfo

All Known Subinterfaces:
  `HistoricIdentityLink`, `IdentityLink`

public interface IdentityLinkInfo

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGroupId()`
  If the identity link involves a group, then this will be a non-null id of a group.
  `String`
  `getProcessInstanceId()`
  The process instance id associated with this identity link.
  `String`
  `getScopeDefinitionId()`
  The scope definition id associated with this identity link
  `String`
  `getScopeId()`
  The scope id associated with this identity link
  `String`
  `getScopeType()`
  The scope type associated with this identity link
  `String`
  `getSubScopeId()`
  The sub scope id associated with this identity link
  `String`
  `getTaskId()`
  The id of the task associated with this identity link.
  `String`
  `getType()`
  Returns the type of link.
  `String`
  `getUserId()`
  If the identity link involves a user, then this will be a non-null id of a user.

- ## Method Details

  - ### getType

    String getType()
    Returns the type of link. See for the native supported types.

  - ### getUserId

    String getUserId()
    If the identity link involves a user, then this will be a non-null id of a user. That userId can be used to query for user information through the UserQuery API.

  - ### getGroupId

    String getGroupId()
    If the identity link involves a group, then this will be a non-null id of a group. That groupId can be used to query for user information through the GroupQuery API.

  - ### getTaskId

    String getTaskId()
    The id of the task associated with this identity link.

  - ### getProcessInstanceId

    String getProcessInstanceId()
    The process instance id associated with this identity link.

  - ### getScopeId

    String getScopeId()
    The scope id associated with this identity link

  - ### getSubScopeId

    String getSubScopeId()
    The sub scope id associated with this identity link

  - ### getScopeType

    String getScopeType()
    The scope type associated with this identity link

  - ### getScopeDefinitionId

    String getScopeDefinitionId()
    The scope definition id associated with this identity link